1. Wallet Statements
Kobble
  • Introduction
  • API Fundamentals
    • Idempotency
    • Rate Limits
    • Healthcheck
      GET
  • Authorization
    • Authorization
    • Get access token
      POST
    • Get access token
      POST
  • Beneficiaries
    • List all beneficiaries
      GET
    • Get beneficiary by ID
      GET
    • Create beneficiary
      POST
    • Update beneficiary
      PUT
    • Create Payid beneficiary
      POST
  • Cards
    • Cards API
    • Card Creation Flow — Developer Guide & Onboarding
    • Get all cards
      GET
    • Create a new card
      POST
    • Get card by ID
      GET
    • Update card status
      PATCH
    • Replace or renew card
      POST
    • Generate card secret
      POST
    • Generate MeaWallet widget session token
      POST
  • Card Programs
    • Card Programs API
    • Get all programs
    • Create a new program
    • Get program by ID
  • Clients
    • Clients API
    • Get all clients
    • Get client by ID
    • Create a new client
    • Update client status
  • Endusers
    • Endusers API
    • Usage of Metadata on Endusers
    • Get all endusers
    • Create a new enduser
    • Get enduser by ID
    • Update enduser
  • Transactions
    • Transactions API
    • Get all transactions
    • Create a transaction
    • Get transaction by ID
    • Create manual credit transaction
    • Create manual debit transaction
  • Wallets
    • Wallets API
    • Get all wallets
    • Create a new wallet
    • Get wallet by ID
    • Update wallet
  • Relays
    • Relays API
    • Create subscription
  • Webhooks
    • Webhooks API
    • Webhook Signature Verification
    • Get all webhooks
    • Create a webhook
    • Delete a webhook
  • Wallet Statements
    • Request a wallet statement
      POST
    • List wallet statements
      GET
    • Get a wallet statement
      GET
    • Get a wallet statement download URL
      POST
  • Schemas
    • Schemas
    • CardWidgetSessionTokenResponse
    • 202 Accepted
    • Webhook
    • 201 Created
    • Relay
    • Create Beneficiary with bank details
    • Client
    • Beneficiary
    • Card
    • CardCreateInputDto
    • CardStatusUpdateDto
    • CardRenewReplaceInputDto
    • Program
    • MetadataKobbleDebit1
    • ProgramCreateInputDto
    • Person
    • Company
    • Enduser
    • Enduser Create Person Input
    • Enduser Create Company Input
    • Metadata
    • Enduser Create Input DTO
    • Transaction
    • TransactionCreateManualCreditInputDto
    • TransactionCreateInputDto
    • Wallet
    • WalletCreateInputDto
    • WalletUpdateInputDto
    • WalletStatement
  1. Wallet Statements

List wallet statements

GET
/customers/v1/wallet-statements
List wallet statement jobs for the authenticated client, optionally filtered by wallet.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/customers/v1/wallet-statements?wallet_id=undefined' \
--header 'Authorization: Bearer {{access_token}}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "id": "7f4cf3e1-2f6a-4d24-9c1b-1f6f9a1f2b35",
    "entity_type": "report",
    "entity_id": "47d152eb-2076-4b0c-a87a-bce74e43f4f2",
    "type": "WALLET_STATEMENT",
    "status": "COMPLETED",
    "payload": {
        "wallet_id": "47d152eb-2076-4b0c-a87a-bce74e43f4f2",
        "period": "2026-05",
        "period_from": "2026-04-30T14:00:00.000Z",
        "period_to": "2026-05-31T13:59:59.999Z"
    },
    "result": {
        "s3_key": "client-id/47d152eb-2076-4b0c-a87a-bce74e43f4f2/2026-05.csv"
    },
    "error_reason": null,
    "progress": 100,
    "owner": "ExampleClient",
    "idempotency_key": "wallet-statement-47d152eb-2076-4b0c-a87a-bce74e43f4f2-2026-05",
    "created_at": "2026-06-01T00:05:12.000Z",
    "updated_at": "2026-06-01T00:06:03.000Z"
}
Modified at 2026-06-17 12:01:16
Previous
Request a wallet statement
Next
Get a wallet statement
Built with